Skip to main content
GET
/
v3
/
avatars
/
looks
/
{look_id}
Get Avatar Look
curl --request GET \
  --url https://api.heygen.com/v3/avatars/looks/{look_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.heygen.com/v3/avatars/looks/{look_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.heygen.com/v3/avatars/looks/{look_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "group_id": "ag_abc123",
    "preview_image_url": "https://files.heygen.ai/look/business_preview.jpg",
    "preview_video_url": "https://files.heygen.ai/look/business_preview.mp4",
    "gender": "female",
    "tags": [
      "<string>"
    ],
    "default_voice_id": "1bd001e7e50f421d891986aad5c8bbd2",
    "supported_api_engines": [
      "<string>"
    ],
    "image_width": 1920,
    "image_height": 1080,
    "status": "completed",
    "error": {
      "code": "<string>",
      "message": "<string>"
    }
  }
}
{
  "error": {
    "code": "invalid_parameter",
    "message": "Video not found",
    "param": "<string>",
    "doc_url": "<string>"
  }
}
{
  "error": {
    "code": "authentication_failed",
    "message": "Invalid or expired API key. Verify your x-api-key header.",
    "param": null,
    "doc_url": null
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Avatar look not found.",
    "param": null,
    "doc_url": null
  }
}
{
  "error": {
    "code": "rate_limit_exceeded",
    "message": "Too many requests. Retry after the duration specified in the Retry-After header.",
    "param": null,
    "doc_url": null
  }
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

look_id
string
required

Unique avatar look identifier. This is the value to pass as avatar_id to POST /v3/videos.

Response

Successful response

data
AvatarLookItem · object

A single avatar look in the list response.

The id field is the look-level identifier to pass as avatar_id to POST /v3/videos.